Bug 495881 - [NetApp 4.8 bug]Kernel panics on RHEL4.8 GASnapshot3 after reloading QLogic FC driver when LUNs are mapped
[NetApp 4.8 bug]Kernel panics on RHEL4.8 GASnapshot3 after reloading QLogic F...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
x86_64 Linux
low Severity urgent
: rc
: 4.8
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: Regression
Depends On:
Blocks: 450896 450897
  Show dependency treegraph
 
Reported: 2009-04-15 08:43 EDT by Naveen Reddy
Modified: 2009-04-19 13:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-19 13:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching the kernel panic message (2.42 KB, text/plain)
2009-04-15 08:49 EDT, Naveen Reddy
no flags Details

  None (edit)
Description Naveen Reddy 2009-04-15 08:43:40 EDT
Description of problem:
On a RHEL4.8 GASnapshot3 host with QLogic FC HBA, kernel panics when the QLogic FC HBA driver is reloaded after mapping few LUNs from NetApp Storage Controller.


Version-Release number of selected component (if applicable):
OS - RHEL4.8 GASnapshot3
kernel  - 2.6.9-86.ELsmp
QLogic FC HBA driver version:    v.8.02.09.01.04.08-d

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL4.8 GASnapshot3 on a host with QLogic FC HBA 
2. Map LUNs from a NetApp storage controller
3. Reload the qla2400 module (as it is 4GB FC HBA)
 # modprobe -r qla2400
 # modprobe -v qla2400
4. kernel panics after reloading the QLogic FC HBA driver

Actual results:
kernel panics after reloading the QLogic FC HBA driver when LUNs are mapped to the host.(Attached the log collected during kernel panic).

Expected results:
kernel should not panic.

Additional Info:
This issue was not seen in RHEL4.8 GASnapshot2 or earlier(Previous Releases).
Comment 1 Naveen Reddy 2009-04-15 08:49:00 EDT
Created attachment 339681 [details]
Attaching the kernel panic message

Attaching the kernel panic message
Comment 2 Tom Coughlan 2009-04-17 10:34:43 EDT
There is a fix in snap 4, kernel -87, that may be relevant. The fix removes some qla sysfs values that cause hangs when they are read (like at boot time and module load). Can you try snap 4, or just switch to the -87 kernel?
Comment 3 Marcus Barrow 2009-04-17 10:54:24 EDT
I concur with Tom C. Please try the -88 kernel. You could also apply the patch in BZ  476704. The patch removed the sysfs entries which were causing a locking problem. These entries were unsupported and when other fixes were made to the driver they became broken. These entries are read in an automated fashion and are not required ( board nvram contents ).
Comment 4 Naveen Reddy 2009-04-19 09:53:00 EDT
This issue is not seen in snap4(kernel v2.6.9-87).

Note You need to log in before you can comment on or make changes to this bug.